### Method

# Gcr Prompt set_warning

#### Declaration [src]

    void
    gcr_prompt_set_warning (
      GcrPrompt* prompt,
      const gchar* warning
    )

#### Description [src]

Set a prompt warning displayed on the prompt.

This is a warning like “The password is incorrect.” usually displayed to the user about a previous ‘unsuccessful’ prompt.

If this string is `NULL` then no warning is displayed.

Sets property | `Gcr.Prompt:warning`

#### Parameters

`warning`

  Type: `const gchar*`

  The warning or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.